function y = upsamp(x)
% upsample -- Upsampling operator
%  Usage
%    u = upsample(d) 
%  Inputs
%    d   1-d signal, of length n
%  Outputs
%    u   1-d signal, of length 2*n-1 with zeros
%        interpolating alternate samples
%        u(2*i-1) = d(i), i=1,...,n
%
	n = length(x)*2-1;
	y = zeros(1,n);

	y(1:2:n)=x;
